import { _decorator, Label, Node, tween, UIOpacity } from 'cc';
import { BaseView } from '../../../framework/layer/BaseView';
import { StringUtil } from '../../../framework/util/StringUtil';
import { CommonItem } from '../common/CommonItem';
const { ccclass, property } = _decorator;

@ccclass('EquipStrong')
export class EquipStrong extends BaseView {
	@property({ type: Label, tooltip: "关闭提示" })
	closeTips: Label = null;

	@property({ type: Label, tooltip: "标题" })
	titieTx: Label = null;
	protected onLoad() {
		super.onLoad();
		this.closeTips.string = StringUtil.getLanguageData('点击空白关闭');
		this.titieTx.string = StringUtil.getLanguageData('装备选择');
		this.closeTips.node.getComponent(UIOpacity).opacity = 0;
	}

	protected onDestroy() {
		
	}

	//UI开打时会调用,如果有初始化代码应该放到此函数
	onOpen() {
		tween(this.closeTips.node.getComponent(UIOpacity))
			.to(1, { opacity: 255 })
			.to(1.2, { opacity: 10 })
			.union()
			.repeatForever()
			.start()
	}

	//UI关闭时会调用,该函数在onDestroy前调用
	onClose() {

	}
	
	//框架管理UI层级时会调用,可根据UI情况修改
	onShow() {
		super.onShow();
	}
	
	//框架管理UI层级时会调用,可根据UI情况修改
	onHide() {
		super.onHide();
	}

	//UI事件处理
	private onTouchButton(event: Event) {
		//Framework.audio.playEffect(AudioID.Click);
		let target: any = event.target;
	}

	onEventList(item, idx) {
		item.getComponent(CommonItem).refreshItem();
	}
}